Bug 197391 - [opensolaris] Missing args in format string in ctf.c
Summary: [opensolaris] Missing args in format string in ctf.c
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: CURRENT
Hardware: Any Any
: --- Affects Only Me
Assignee: Mark Johnston
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2015-02-07 15:07 UTC by henning.petersen
Modified: 2015-03-18 02:31 UTC (History)
1 user (show)

See Also:


Attachments
missing args in format string (373 bytes, text/plain)
2015-02-07 15:07 UTC, henning.petersen
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description henning.petersen 2015-02-07 15:07:12 UTC
Created attachment 152669 [details]
missing args in format string

Missing args in format string.
From illumos bug #5600
Comment 1 commit-hook freebsd_committer 2015-03-15 21:58:19 UTC
A commit references this bug:

Author: markj
Date: Sun Mar 15 21:57:44 UTC 2015
New revision: 280125
URL: https://svnweb.freebsd.org/changeset/base/280125

Log:
  Add a missing format string argument.

  PR:		197391
  MFC after:	3 days

Changes:
  head/cddl/contrib/opensolaris/tools/ctf/cvt/ctf.c
Comment 2 commit-hook freebsd_committer 2015-03-18 02:29:34 UTC
A commit references this bug:

Author: markj
Date: Wed Mar 18 02:29:01 UTC 2015
New revision: 280200
URL: https://svnweb.freebsd.org/changeset/base/280200

Log:
  MFC r280125:
  Add a missing format string argument.

  PR:		197391

Changes:
_U  stable/9/cddl/contrib/opensolaris/
  stable/9/cddl/contrib/opensolaris/tools/ctf/cvt/ctf.c
Comment 3 commit-hook freebsd_committer 2015-03-18 02:30:35 UTC
A commit references this bug:

Author: markj
Date: Wed Mar 18 02:29:52 UTC 2015
New revision: 280201
URL: https://svnweb.freebsd.org/changeset/base/280201

Log:
  MFC r280125:
  Add a missing format string argument.

  PR:		197391

Changes:
_U  stable/10/
  stable/10/cddl/contrib/opensolaris/tools/ctf/cvt/ctf.c
Comment 4 Mark Johnston freebsd_committer 2015-03-18 02:31:08 UTC
Fixed in stable/9 and 10. Thanks for the PR.